with System.Storage_Elements;
with STM32.Address_Map;
with STM32.General_Purpose_IOs;

package STM32.F407.General_Purpose_IOs is

	package GPIO_Base renames STM32.General_Purpose_IOs;

	GPIOA : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOA);

	GPIOB : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOB);

	GPIOC : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOC);

	GPIOD : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOD);

	GPIOE : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOE);

	GPIOF : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOF);

	GPIOG : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOG);

	GPIOH : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOH);

	GPIOI : GPIO_Base.GPIO_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address(Address_Map.GPIOI);

end STM32.F407.General_Purpose_IOs;
