with System.Storage_Elements;
with STM32.Address_Map;
with STM32.CRC_Calculation;

package STM32.F429.CRC_Calculation is

	package CRC_Base renames STM32.CRC_Calculation;

	CRC_HW : CRC_Base.CRC_Registers with Volatile, Import,
	Address => System.Storage_Elements.To_Address (STM32.Address_Map.CRC);

end STM32.F429.CRC_Calculation;
