with System;
with Interfaces;
use  Interfaces;

package STM32 is
	pragma Pure;

	subtype Address_Register is System.Address;

	type Unused_1_Bit   is mod 2**1  with Size =>  1;
	type Unused_2_Bits  is mod 2**2  with Size =>  2;
	type Unused_3_Bits  is mod 2**3  with Size =>  3;
	type Unused_4_Bits  is mod 2**4  with Size =>  4;
	type Unused_6_Bits  is mod 2**6  with Size =>  6;
	type Unused_8_Bits  is mod 2**8  with Size =>  8;
	type Unused_16_Bits is mod 2**16 with Size => 16;
	type Unused_17_Bits is mod 2**17 with Size => 17;
	type Unused_20_Bits is mod 2**20 with Size => 20;
	type Unused_22_Bits is mod 2**22 with Size => 22;

	type Logarithmic is (
		Value_1,  Value_2,  Value_4,  Value_8,
		Value_16, Value_32, Value_64, Value_128);
	
end STM32;
